##################################################################
# Copyright 1997-2002, Compaq Information Technologies Group, L.P. 
##################################################################
#
# Title   : $RCSfile: linux.mk,v $
#
# Version : $Revision: 1.4 $
#
# Date    : $Date: 2003/03/05 17:18:57 $
#
# Author  : $Author: julia $
#
##################################################################
CC = gcc 

OS_VERSION=$(shell uname -r)

DEBUGFLAGS= -Wall
#-DDEBUG 

DFLAGS = -O -DOS_VERSION=$(OS_VERSION)
IFLAGS=-I.  
CFLAGS = $(DFLAGS) $(IFLAGS) $(DEBUGFLAGS) $(LINUX_HEADERS)

TARGET=pciFindDev
TARGETDIR=../

OFILES = pciFindDev.o

INCDIR = /lib/modules/$(OS_VERSION)/build/include
INCLUDE = -I$(INCDIR)

all:	install

build:	$(TARGET).o

install: build
	mkdir -p $(TARGETDIR)
	cp -af $(TARGET).o $(TARGETDIR) || /bin/true
	echo $(OS_VERSION) > $(TARGETDIR)/kernel.txt


.c.o:
	$(CC) $(CFLAGS) $(INCLUDE) -c $<

clean:
	-@rm -f *.o *~ core $(TARGET).o

touch:
	touch *.c

